Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8233530

gcc 5.4 build warning -Wc++14-compat after JDK-8233359

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 14
    • Fix Version/s: 14
    • Component/s: hotspot
    • Labels:
      None
    • Subcomponent:
    • Resolved In Build:
      b22

      Description

      When building on Ubuntu 16.04 using gcc5.4.0 (the stock compiler), after JDK-8233359 we get

      /shared/projects/openjdk/jdk-jdk/source/src/hotspot/share/memory/operator_new.cpp:92:6: error: 'void operator delete(void*, size_t)' is a usual (non-placement) deallocation function in C++14 (or with -fsized-deallocation) [-Werror=c++14-compat]
       void operator delete(void* p, size_t size) throw() {
            ^
      /shared/projects/openjdk/jdk-jdk/source/src/hotspot/share/memory/operator_new.cpp:96:6: error: 'void operator delete [](void*, size_t)' is a usual (non-placement) deallocation function in C++14 (or with -fsized-deallocation) [-Werror=c++14-compat]
       void operator delete [](void* p, size_t size) throw() {
            ^

      -Wc++14-compat is enabled by -Wall, as is -Wc++11-compat (and Wc++17-compat in sufficiently recent versions of gcc).

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              stuefe Thomas Stuefe
              Reporter:
              kbarrett Kim Barrett
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: